bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#39546: 28.0.50; Do not require subr-x at run time


From: Eli Zaretskii
Subject: bug#39546: 28.0.50; Do not require subr-x at run time
Date: Fri, 14 Feb 2020 12:16:26 +0200

> From: Tino Calancha <address@hidden>
> Cc: address@hidden,  Eli Zaretskii <address@hidden>,
>   address@hidden,  address@hidden
> Date: Mon, 10 Feb 2020 22:00:21 +0100
> 
> Tino Calancha <address@hidden> writes:
> 
> >> I have run the testsuite without surprises.
> > Well, actually there was a surprise, but who don't like surprises after
> > all!
> Well, I must recognize I am one of those guys who doesn't like
> surprises.  It seems `when-let' became very popular these days.
> 
> Here is the updated patch.  It takes in account all usages of `when-let'
> once dropped the cookie.

Thanks.

Are we talking about doing these changes on master?  Because I think
such wide-sweeping changes that aren't bugfixes are not really
appropriate for the release branch.  If you want to move
replace-region-contents to replace.el on emacs-27, I agree, but all
the rest should go to master, I think.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]